import Header from "@/components/layout/header";
import Sidebar from "@/components/layout/sidebar";
// import StoreProvider from "@/lib/store-provider";
import { createClient } from "@/utils/supabase/server";
import type { Metadata } from "next";
import { redirect } from "next/navigation";

export const metadata: Metadata = {
  title: "Dashboard | Skilld",
  description:
    "Empower your coding journey at Skilld. Access tutorials, challenges, and expert-led courses to master programming languages and tools. Join a supportive community for discussions and code reviews. Elevate your skills and stay ahead in the tech world with us!",
};

export default async function DashboardLayout({
  children,
}: {
  children: React.ReactNode;
}) {

  const supabase = createClient();

  const {
    data: { user },
  } = await supabase.auth.getUser();

  if (!user) {
    return redirect("/signin");
  }

  return (
    <>
      {/* <StoreProvider lastUpdate={new Date().getTime()}> */}
        <Header />

        <div className="flex h-screen overflow-hidden">
          <Sidebar />
          <main className="w-full pt-16">{children}</main>
        </div>
      {/* </StoreProvider> */}
    </>
  );
}
