import { Metadata } from "next";
import React from "react";
import Header from "@/components/task/header";
import { createClient } from "@/utils/supabase/server";
import { redirect } from "next/navigation";

export const metadata: Metadata = {
  title: "Task | Skilld",
  description: "Skilld",
};

const Layout = async ({ children }: { children: React.ReactNode }) => {
  const supabase = createClient();

  const {
    data: { user },
  } = await supabase.auth.getUser();

  if (!user) {
    return redirect("/signin");
  }

  return (
    <div className="grid grid-rows-[53px_1fr] min-h-screen">
      <Header />
      <main className="">{children}</main>
    </div>
  );
};

export default Layout;
