"use client";
import React from "react";
import ThemeProvider from "./ThemeToggle/theme-provider";
import { AppProgressBar as ProgressBar } from "next-nprogress-bar";

export default function Providers({ children }: { children: React.ReactNode }) {
  return (
    <>
      <ThemeProvider attribute="class" defaultTheme="dark" enableSystem>
        {children}
        <ProgressBar
          height="4px"
          color="hsl(217.2 91.2% 59.8%)"
          options={{ showSpinner: false }}
          shallowRouting
        />
      </ThemeProvider>
    </>
  );
}
