"use client";

import React from "react";
// import { useNavigate } from 'react-router-dom'
// import { useSelector } from 'react-redux'
import { useQuizStore } from "@/lib/quiz-store";
import { useShallow } from "zustand/react/shallow";
import { SocialMedia } from "./social-media";
import { useRouter } from "next/navigation";
import { Button } from "../ui/button";
import {
  Card,
  CardContent,
  CardFooter,
  CardHeader,
  CardTitle,
} from "../ui/card";

export const FinishedScreen = () => {
  const router = useRouter();
  const {
    points,
    highscore,
    gameMode,
    totalCorrectAns,
    questionsArray,
    reset,
    correctAns
  } = useQuizStore(
    useShallow((store) => ({
      points: store.points,
      highscore: store.highscore,
      gameMode: store.gameMode,
      totalCorrectAns: store.totalCorrectAns,
      questionsArray: store.questionsArray,
      reset: store.reset,
      correctAns: store.correctAns
    })),
  );
  // const {points, highscore} = useSelector(store => store.questions)
  // const {gameMode} = useSelector(store => store.difficulty)
  const percentage = Math.ceil((points * 100) / 300);
  // const navigate = useNavigate()

  let congrats;
  if (percentage === 100) congrats = "Perfect!";
  if (percentage >= 80 && percentage < 100) congrats = "Excellent!";
  if (percentage >= 50 && percentage < 80) congrats = "Good!";
  if (percentage > 0 && percentage < 50) congrats = "Bad luck!";
  if (percentage === 0) congrats = "Oh no!";

  return (
    <Card className="max-w-2xl mx-auto mt-8">
      {/* <p className="result">
        {congrats} You scored <strong>{points}</strong> out of 300 ({percentage}
        %)
      </p> */}
      {/* <p className="highscore">(Highscore: {highscore} points)</p> */}
      <CardHeader>
        <CardTitle>Quiz Results</CardTitle>
      </CardHeader>
      <CardContent>
        <p className="text-green-500">Correct: {correctAns.length}</p>
        <p className="text-rose-500">
          Incorrect: {questionsArray.length - correctAns.length}
        </p>
        {/* <p className="text-green-500">Correct: {totalCorrectAns}</p>
        <p className="text-rose-500">
          Incorrect: {questionsArray.length - totalCorrectAns}
        </p> */}
      </CardContent>
      <CardFooter>
        <Button
          onClick={() => {
            reset();
            router.push(`/dashboard/quiz`);
          }}
        >
          Reset
        </Button>
      </CardFooter>
      {/* <div className="reset-btns">
        <Button className="btn" onClick={() => router.push(`/dashboard/quiz`)}>
          Main Menu
        </Button>
        <Button
          className="btn"
          onClick={() => router.push(`/dashboard/quiz/${gameMode}`)}
        >
          Reset
        </Button>
      </div> */}
      {/* <SocialMedia /> */}
    </Card>
  );
};
