import ThemeToggle from "@/components/layout/ThemeToggle/theme-toggle";
import Image from "next/image";
import Link from "next/link";
import React from "react";

const Header = () => {
  return (
    <header className="border-b px-4 hidden md:block">
      <nav className="flex justify-between items-center max-w-[1440px] mx-auto py-2">
        <Link href="/dashboard" className="inline-block w-fit">
          <Image
            src="/Skilld AI Logos/Skilld Logo-colour on black.png"
            alt="Skilld Logo"
            width={100}
            height={30}
            className="hidden dark:block h-[25px] w-[80px] md:w-[100px] md:h-[30px] object-contain"
          />
          <Image
            src="/Skilld AI Logos/Skilld Logo-colour.png"
            alt="Skilld Logo"
            width={100}
            height={30}
            className="dark:hidden h-[25px] w-[80px] md:w-[100px] md:h-[30px] object-contain"
          />
        </Link>

        <div className="flex items-center gap-8">
          {/* <Link href="/">Home</Link> */}
          <Link href="/dashboard">Dashboard</Link>
          {/* <Link href="/login">Login</Link> */}
          <ThemeToggle />
        </div>
      </nav>
    </header>
  );
};

export default Header;
