import React from "react";

import {
  Select,
  SelectContent,
  SelectGroup,
  SelectItem,
  SelectLabel,
  SelectTrigger,
  SelectValue,
} from "@/components/ui/select";
import { LANGUAGE_VERSIONS } from "@/constants/language-options";
// import { ScrollArea } from "@/components/ui/scroll-area";
// import Link from "next/link";

const languages = Object.entries(LANGUAGE_VERSIONS);

const LanguagesDropdown = ({ handleLanguageChange, language }: any) => {
  return (
    <Select onValueChange={handleLanguageChange} value={language}>
      <SelectTrigger className="w-[150px]">
        <SelectValue placeholder="Select Language" />
      </SelectTrigger>
      <SelectContent>
        {/* <ScrollArea className="h-96"> */}
        <SelectGroup>
          <SelectLabel>Languages</SelectLabel>
          {languages.map(([lang, version]) => (
            // <Link href={`/dashboard/task/${lang}`} key={lang}>
              <SelectItem className="cursor-pointer" value={lang} key={lang}>
                {lang} {version}
              </SelectItem>
            // </Link>
          ))}
        </SelectGroup>
        {/* </ScrollArea> */}
      </SelectContent>
    </Select>
  );
};

export default LanguagesDropdown;
